Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.schedule
Class OneTimeSchedule

    java.lang.Object
      com.stc.connector.tcpip.model.schedule.OneTimeSchedule

All Implemented Interfaces:
  Schedule

    public class OneTimeSchedule

extends java.lang.Object
implements Schedule

A simple implementation for one-time (non-repeated) schedule.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/03/03 15:36:00 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from interface com.stc.connector.tcpip.model.schedule.Schedule
`TYPE_ONETIME, TYPE_REPEATED`

Constructor Summary
`OneTimeSchedule(java.util.Date startTime, long delay)` Constructor for OneTimeSchedule.

Method Summary
`long` | `getDelay()` Method getDelay.
`long` | `getRepeatPeriod()` Method getRepeatPeriod.
`java.util.Date` | `getStartTime()` Method getStartTime.
`boolean` | `isFixedRate()` Method isFixedRate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### OneTimeSchedule

    public OneTimeSchedule(java.util.Date startTime,
                           long delay)
                    throws java.lang.IllegalArgumentException

  Constructor for OneTimeSchedule.

  Parameters:
    `startTime` - Date, null means the parameter delay will be used.
    `delay` - long
  Throws:
    `java.lang.IllegalArgumentException` - on error

Method Detail

### getStartTime

    public java.util.Date getStartTime()

  Description copied from interface: `Schedule`
  Method getStartTime.

  Specified by:
    `getStartTime` in interface `Schedule`
  Returns:
    Date
  See Also:
    `Schedule.getStartTime()`

### getDelay

    public long getDelay()

  Description copied from interface: `Schedule`
  Method getDelay.

  Specified by:
    `getDelay` in interface `Schedule`
  Returns:
    long
  See Also:
    `Schedule.getDelay()`

### getRepeatPeriod

    public long getRepeatPeriod()

  Description copied from interface: `Schedule`
  Method getRepeatPeriod. Negative value means one-time (non repeated) schedule.

  Specified by:
    `getRepeatPeriod` in interface `Schedule`
  Returns:
    long
  See Also:
    `Schedule.getRepeatPeriod()`

### isFixedRate

    public boolean isFixedRate()

  Description copied from interface: `Schedule`
  Method isFixedRate. It is only for repeated schedule.

  Specified by:
    `isFixedRate` in interface `Schedule`
  Returns:
    boolean
  See Also:
    `Schedule.isFixedRate()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD